Class | Tk::BLT::Bitmap
In: | tk/lib/tkextlib/blt/bitmap.rb
Parent: | TkObject

### Methods

compose compose_with_name data exist? exist? height height new new new_with_name source source width width

### Constants

TkCommandNames | = | ['::blt::bitmap'.freeze].freeze
BITMAP_ID_TBL | = | TkCore::INTERP.create_table
BITMAP_ID | = | ['blt_bitmap_id'.freeze, '00000'.taint].freeze

### External Aliases

new | -> | _new
new | -> | define
new_with_name | -> | define_with_name

### Public Class methods

compose(text, keys={})

[Source]

    # File tk/lib/tkextlib/blt/bitmap.rb, line 54
          def compose(text, keys={})
            _new(:text, nil, text, keys)
          end

compose_with_name(name, text, keys={})

[Source]

    # File tk/lib/tkextlib/blt/bitmap.rb, line 58
          def compose_with_name(name, text, keys={})
            _new(:text, name, text, keys)
          end

data(name)

[Source]

    # File tk/lib/tkextlib/blt/bitmap.rb, line 18
        def self.data(name)
          dat = tk_simple_list(tk_call('::blt::bitmap', 'data', name))
          [ tk_split_list(dat[0]), tk_simple_list(dat[1]) ]
        end

exist?(name)

[Source]

    # File tk/lib/tkextlib/blt/bitmap.rb, line 23
        def self.exist?(name)
          bool(tk_call('::blt::bitmap', 'exists', name))
        end

height(name)

[Source]

    # File tk/lib/tkextlib/blt/bitmap.rb, line 27
        def self.height(name)
          number(tk_call('::blt::bitmap', 'height', name))
        end

new(data, keys={})

[Source]

    # File tk/lib/tkextlib/blt/bitmap.rb, line 44
          def new(data, keys={})
            _new(:data, nil, data, keys)
          end

new(type, name, data, keys = {})

[Source]

    # File tk/lib/tkextlib/blt/bitmap.rb, line 63
        def initialize(type, name, data, keys = {})
          if name
            @id = name
          else
            @id = BITMAP_ID.join(TkCore::INTERP._ip_id_)
            BITMAP_ID[1].succ!
            BITMAP_ID_TBL[@id] = self
          end

          @path = @id

          unless bool(tk_call('::blt::bitmap', 'exists', @id))
            if type == :text
              tk_call('::blt::bitmap', 'compose', @id, data, *hash_kv(keys))
            else # :data
              tk_call('::blt::bitmap', 'define', @id, data, *hash_kv(keys))
            end
          end
        end

new_with_name(name, data, keys={})

[Source]

    # File tk/lib/tkextlib/blt/bitmap.rb, line 49
          def new_with_name(name, data, keys={})
            _new(:data, name, data, keys)
          end

source(name)

[Source]

    # File tk/lib/tkextlib/blt/bitmap.rb, line 35
        def self.source(name)
          tk_simple_list(tk_call('::blt::bitmap', 'source', name))
        end

width(name)

[Source]

    # File tk/lib/tkextlib/blt/bitmap.rb, line 31
        def self.width(name)
          number(tk_call('::blt::bitmap', 'width', name))
        end

### Public Instance methods

exist?()

[Source]

    # File tk/lib/tkextlib/blt/bitmap.rb, line 83
        def exist?
          bool(tk_call('::blt::bitmap', 'exists', @id))
        end

height()

[Source]

    # File tk/lib/tkextlib/blt/bitmap.rb, line 87
        def height
          number(tk_call('::blt::bitmap', 'height', @id))
        end

source()

[Source]

    # File tk/lib/tkextlib/blt/bitmap.rb, line 95
        def source
          tk_simple_list(tk_call('::blt::bitmap', 'source', @id))
        end

width()

[Source]

    # File tk/lib/tkextlib/blt/bitmap.rb, line 91
        def width
          number(tk_call('::blt::bitmap', 'width', @id))
        end

[Validate]